Package com.sun.mail.imap

# Class ModifiedSinceTerm

java.lang.Object
javax.mail.search.SearchTerm
com.sun.mail.imap.ModifiedSinceTerm

All Implemented Interfaces:
  `Serializable`

public final class ModifiedSinceTerm extends SearchTerm
Find messages that have been modified since a given MODSEQ value. Relies on the server implementing the CONDSTORE extension (RFC 4551).

Since:
  JavaMail 1.5.1
Author:
  Bill Shannon
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ModifiedSinceTerm(long modseq)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Equality comparison.
`long`
`getModSeq()`
Return the modseq.
`int`
`hashCode()`
Compute a hashCode for this object.
`boolean`
`match(Message msg)`
The match method.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ModifiedSinceTerm

public ModifiedSinceTerm(long modseq)
Constructor.

Parameters:
  `modseq` - modification sequence number

## Method Details

### getModSeq

public long getModSeq()
Return the modseq.

Returns:
  the modseq

### match

public boolean match(Message msg)
The match method.

Specified by:
  `match` in class `SearchTerm`
Parameters:
  `msg` - the date comparator is applied to this Message's MODSEQ
Returns:
  true if the comparison succeeds, otherwise false

### equals

public boolean equals(Object obj)
Equality comparison.

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()
Compute a hashCode for this object.

Overrides:
  `hashCode` in class `Object`